<?xml version="1.0" encoding="utf-8" ?>
<!--
Licensee: Universidad de La Frontera
License Type: Academic
-->
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
	<class name="orm.Reserva" table="reserva" lazy="false">
		<id name="id" column="id" type="integer" unsaved-value="0">
			<generator class="native">
			</generator>
		</id>
		<many-to-one name="paciente" cascade="lock" column="paciente_id" class="orm.Paciente" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<many-to-one name="persona_id_ingresa_reserva" cascade="lock" column="persona_id_ingresa_reserva" class="orm.Persona" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<property name="fecha" column="fecha" type="timestamp" not-null="false" lazy="false"/>
		<many-to-one name="hora_medica" column="hora_medicaid" class="orm.Hora_medica" cascade="save-update,lock" unique="true" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<one-to-one name="rce_examen" class="orm.Rce_examen" cascade="save-update,lock" property-ref="reserva" lazy="proxy" access="field"/>
	</class>
</hibernate-mapping>
